---
title: "Query all pickup information"
description: "Get all Pickup info"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/query-all-pickup-information'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/query-all-pickup-information.md'
---
# Query all pickup information

Get all Pickup info

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_shipping`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /pickup/list.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_shipping`

## Request

### Query Parameters

* `language`

  string (optional)

  Language

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `pickup_list`

  array<object>

  Pick up list at store

  * `pickup_info`

    object

    Pick up configuration to store

    * `pickup_seq`

      string

      Pick up configuration encoding

    * `store_id`

      string

      store ID

    * `support`

      boolean

      Support pick up in store or not

    * `update_at`

      string

      Update time

    * `appointment_end`

      integer

      Appointment pickup time zone termination value , unit : minutes

    * `appointment_start`

      integer

      Appointment pickup time zone starting value , unit : minutes

    * `create_at`

      string

      Creation time

    * `location_seq`

      string

      Location code

  * `location_address`

    object

    Location information

    * `active`

      boolean

      Address status 0- deactivation 1- enable

    * `town`

      string

      Street town name

    * `country`

      string

      National name

    * `province_code`

      string

      State province

    * `update_at`

      string

      Update time

    * `district`

      string

      District

    * `city`

      string

      City name

    * `location_seq`

      string

      Location representation

    * `city_code`

      string

      City code

    * `priority`

      integer

      Address priority

    * `phone`

      string

      Phone number

    * `district_code`

      string

      District county code

    * `address2`

      string

      Detailed address 2

    * `location_name`

      string

      Location name

    * `zip`

      string

      Postal code

    * `address1`

      string

      Detailed address

    * `create_at`

      string

      Creation time

    * `province`

      string

      State province name

    * `country_code`

      string

      Country code

    * `town_code`

      string

      Street town


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Get all Pickup info",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_shipping` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "fTNRhC3M",
  "parameters": [
    {
      "name": "language",
      "in": "query",
      "description": "Language",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "language",
        "description": "Language",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "pickup_list": {
                "name": "pickup_list",
                "description": "Pick up list at store",
                "type": "array",
                "items": {
                  "name": "pickup_list",
                  "description": "Pick up list at store",
                  "type": "object",
                  "properties": {
                    "pickup_info": {
                      "name": "pickup_info",
                      "description": "Pick up configuration to store",
                      "type": "object",
                      "properties": {
                        "pickup_seq": {
                          "name": "pickup_seq",
                          "description": "Pick up configuration encoding",
                          "type": "string",
                          "example": "5664940910825704903"
                        },
                        "store_id": {
                          "name": "store_id",
                          "description": "store ID",
                          "type": "string",
                          "example": "1635143945022"
                        },
                        "support": {
                          "name": "support",
                          "description": "Support pick up in store or not",
                          "type": "boolean",
                          "example": false
                        },
                        "update_at": {
                          "name": "update_at",
                          "description": "Update time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "appointment_end": {
                          "name": "appointment_end",
                          "description": "Appointment pickup time zone termination value , unit : minutes",
                          "type": "integer",
                          "example": 0
                        },
                        "appointment_start": {
                          "name": "appointment_start",
                          "description": "Appointment pickup time zone starting value , unit : minutes",
                          "type": "integer",
                          "example": 0
                        },
                        "create_at": {
                          "name": "create_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "location_seq": {
                          "name": "location_seq",
                          "description": "Location code",
                          "type": "string",
                          "example": "5663810070280414164"
                        }
                      },
                      "example": {
                        "update_at": "2019-12-18T06:06:24.942Z",
                        "appointment_end": 0,
                        "appointment_start": 0,
                        "create_at": "2019-12-18T06:06:24.942Z",
                        "location_seq": "5663810070280414164",
                        "pickup_seq": "5664940910825704903",
                        "store_id": "1635143945022",
                        "support": false
                      }
                    },
                    "location_address": {
                      "name": "location_address",
                      "description": "Location information",
                      "type": "object",
                      "properties": {
                        "active": {
                          "name": "active",
                          "description": "Address status 0- deactivation 1- enable",
                          "type": "boolean",
                          "example": false
                        },
                        "town": {
                          "name": "town",
                          "description": "Street town name",
                          "type": "string",
                          "example": "New pond town"
                        },
                        "country": {
                          "name": "country",
                          "description": "National name",
                          "type": "string",
                          "example": "China"
                        },
                        "province_code": {
                          "name": "province_code",
                          "description": "State province",
                          "type": "string",
                          "example": "440000"
                        },
                        "update_at": {
                          "name": "update_at",
                          "description": "Update time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "district": {
                          "name": "district",
                          "description": "District",
                          "type": "string",
                          "example": "Upper-class"
                        },
                        "city": {
                          "name": "city",
                          "description": "City name",
                          "type": "string",
                          "example": "Guangzhou"
                        },
                        "location_seq": {
                          "name": "location_seq",
                          "description": "Location representation",
                          "type": "string",
                          "example": "5663810070280414164"
                        },
                        "city_code": {
                          "name": "city_code",
                          "description": "City code",
                          "type": "string",
                          "example": "440100"
                        },
                        "priority": {
                          "name": "priority",
                          "description": "Address priority",
                          "type": "integer",
                          "example": 1
                        },
                        "phone": {
                          "name": "phone",
                          "description": "Phone number",
                          "type": "string",
                          "example": "18345678909"
                        },
                        "district_code": {
                          "name": "district_code",
                          "description": "District county code",
                          "type": "string",
                          "example": "440111"
                        },
                        "address2": {
                          "name": "address2",
                          "description": "Detailed address 2",
                          "type": "string",
                          "example": "Zhihuiyuan b ;"
                        },
                        "location_name": {
                          "name": "location_name",
                          "description": "Location name",
                          "type": "string",
                          "example": "Upper shop"
                        },
                        "zip": {
                          "name": "zip",
                          "description": "Postal code",
                          "type": "string",
                          "example": "23423"
                        },
                        "address1": {
                          "name": "address1",
                          "description": "Detailed address",
                          "type": "string",
                          "example": "93 yuangang road in the open city of the ihan district"
                        },
                        "create_at": {
                          "name": "create_at",
                          "description": "Creation time",
                          "type": "string",
                          "example": "2019-12-18T06:06:24.942Z"
                        },
                        "province": {
                          "name": "province",
                          "description": "State province name",
                          "type": "string",
                          "example": "Guangdong"
                        },
                        "country_code": {
                          "name": "country_code",
                          "description": "Country code",
                          "type": "string",
                          "example": "CN"
                        },
                        "town_code": {
                          "name": "town_code",
                          "description": "Street town",
                          "type": "string",
                          "example": "345455"
                        }
                      },
                      "example": {
                        "active": false,
                        "town_code": "345455",
                        "create_at": "2019-12-18T06:06:24.942Z",
                        "phone": "18345678909",
                        "priority": 1,
                        "city": "Guangzhou",
                        "district": "Upper-class",
                        "location_name": "Upper shop",
                        "country": "China",
                        "address1": "93 yuangang road in the open city of the ihan district",
                        "address2": "Zhihuiyuan b ;",
                        "city_code": "440100",
                        "location_seq": "5663810070280414164",
                        "province": "Guangdong",
                        "update_at": "2019-12-18T06:06:24.942Z",
                        "country_code": "CN",
                        "province_code": "440000",
                        "town": "New pond town",
                        "district_code": "440111",
                        "zip": "23423"
                      }
                    }
                  },
                  "example": {
                    "pickup_info": {
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "location_seq": "5663810070280414164",
                      "pickup_seq": "5664940910825704903",
                      "store_id": "1635143945022",
                      "support": false,
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "appointment_end": 0,
                      "appointment_start": 0
                    },
                    "location_address": {
                      "phone": "18345678909",
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "location_name": "Upper shop",
                      "province": "Guangdong",
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "address2": "Zhihuiyuan b ;",
                      "country": "China",
                      "active": false,
                      "address1": "93 yuangang road in the open city of the ihan district",
                      "district": "Upper-class",
                      "city_code": "440100",
                      "priority": 1,
                      "district_code": "440111",
                      "town": "New pond town",
                      "province_code": "440000",
                      "city": "Guangzhou",
                      "location_seq": "5663810070280414164",
                      "zip": "23423",
                      "country_code": "CN",
                      "town_code": "345455"
                    }
                  }
                },
                "example": [
                  {
                    "location_address": {
                      "active": false,
                      "zip": "23423",
                      "location_name": "Upper shop",
                      "town_code": "345455",
                      "country_code": "CN",
                      "city_code": "440100",
                      "address1": "93 yuangang road in the open city of the ihan district",
                      "phone": "18345678909",
                      "priority": 1,
                      "province_code": "440000",
                      "city": "Guangzhou",
                      "district_code": "440111",
                      "province": "Guangdong",
                      "town": "New pond town",
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "location_seq": "5663810070280414164",
                      "address2": "Zhihuiyuan b ;",
                      "country": "China",
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "district": "Upper-class"
                    },
                    "pickup_info": {
                      "store_id": "1635143945022",
                      "support": false,
                      "update_at": "2019-12-18T06:06:24.942Z",
                      "appointment_end": 0,
                      "appointment_start": 0,
                      "create_at": "2019-12-18T06:06:24.942Z",
                      "location_seq": "5663810070280414164",
                      "pickup_seq": "5664940910825704903"
                    }
                  }
                ]
              }
            },
            "example": {
              "pickup_list": [
                {
                  "location_address": {
                    "location_name": "Upper shop",
                    "town_code": "345455",
                    "create_at": "2019-12-18T06:06:24.942Z",
                    "address2": "Zhihuiyuan b ;",
                    "update_at": "2019-12-18T06:06:24.942Z",
                    "zip": "23423",
                    "location_seq": "5663810070280414164",
                    "country_code": "CN",
                    "city": "Guangzhou",
                    "active": false,
                    "district": "Upper-class",
                    "phone": "18345678909",
                    "district_code": "440111",
                    "country": "China",
                    "city_code": "440100",
                    "priority": 1,
                    "town": "New pond town",
                    "province": "Guangdong",
                    "address1": "93 yuangang road in the open city of the ihan district",
                    "province_code": "440000"
                  },
                  "pickup_info": {
                    "support": false,
                    "update_at": "2019-12-18T06:06:24.942Z",
                    "appointment_end": 0,
                    "appointment_start": 0,
                    "create_at": "2019-12-18T06:06:24.942Z",
                    "location_seq": "5663810070280414164",
                    "pickup_seq": "5664940910825704903",
                    "store_id": "1635143945022"
                  }
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/pickup/list.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query all pickup information",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_shipping"
  ]
}
```